#ifndef OrbitalInfo_h
#define OrbitalInfo_h

#include <TObject.h>
#include <OrbitalInfoStruct.h>

class OrbitalInfo : public TObject {
 public:
  OrbitalInfo();
  OrbitalInfo* GetOrbitalInfo(){return this;}; // Elena

  UInt_t absTime; //< Absolute Time
  // EM: added On Board Time and CPU Packet Number
  UInt_t OBT; //< On Board Time
  UInt_t pkt_num; //< CPU packet number
  //
  void SetFromLevel2Struct(cOrbitalInfo *l2);
  void GetLevel2Struct(cOrbitalInfo *l2) const;

  void Clear(); // emiliano
  //
  ClassDef(OrbitalInfo, 1)
};
#endif
